searchData={"items":[{"type":"module","title":"AbsintheFieldTelemetry","doc":"A library for analysing absinthe GraphQL runtime usage.","ref":"AbsintheFieldTelemetry.html"},{"type":"module","title":"Installation - AbsintheFieldTelemetry","doc":"The package can be installed by adding `absinthe_field_telemetry` to your list\n  of dependencies in `mix.exs`:\n\n  ```elixir\n  def deps do\n  [\n    {:absinthe_field_telemetry, \"~> 0.1.0\"}\n  ]\n  end\n  ```\n\n  Add a call to the setup function in your application setup\n\n  ```elixir\n  AbsintheFieldTelemetry.setup()\n  ```\n\n  Add `AbsintheFieldTelemetry.Middleware` to all the fields on the schema. The\n  easiest way to achieve this is using the [`middleware/3` callback](https://hexdocs.pm/absinthe/Absinthe.Middleware.html#module-the-middleware-3-callback):\n\n  ```elixir\n  def middleware(middleware, _field, _object), do: [AbsintheFieldTelemetry.Middleware | middleware]\n  ```\n\n  Add the dashboard to your router.\n\n  ```elixir\n  import AbsintheFieldTelemetry.Web.Router\n  absinthe_field_telemetry_dashboard \"/absinthe_field_telemetry_dashboard\"\n  ```","ref":"AbsintheFieldTelemetry.html#module-installation"},{"type":"function","title":"AbsintheFieldTelemetry.get_all/1","doc":"","ref":"AbsintheFieldTelemetry.html#get_all/1"},{"type":"function","title":"AbsintheFieldTelemetry.get_type_hits/1","doc":"","ref":"AbsintheFieldTelemetry.html#get_type_hits/1"},{"type":"function","title":"AbsintheFieldTelemetry.setup/0","doc":"","ref":"AbsintheFieldTelemetry.html#setup/0"},{"type":"behaviour","title":"AbsintheFieldTelemetry.Backend","doc":"The backend of AbsintheFieldTelemetry.\n\n  Contains details of the callbacks required for a backend.","ref":"AbsintheFieldTelemetry.Backend.html"},{"type":"function","title":"AbsintheFieldTelemetry.Backend.get_all_hits/1","doc":"","ref":"AbsintheFieldTelemetry.Backend.html#get_all_hits/1"},{"type":"callback","title":"AbsintheFieldTelemetry.Backend.get_all_hits/1","doc":"","ref":"AbsintheFieldTelemetry.Backend.html#c:get_all_hits/1"},{"type":"function","title":"AbsintheFieldTelemetry.Backend.get_all_type_hits/1","doc":"","ref":"AbsintheFieldTelemetry.Backend.html#get_all_type_hits/1"},{"type":"callback","title":"AbsintheFieldTelemetry.Backend.get_all_type_hits/1","doc":"","ref":"AbsintheFieldTelemetry.Backend.html#c:get_all_type_hits/1"},{"type":"function","title":"AbsintheFieldTelemetry.Backend.record_field_hit/2","doc":"","ref":"AbsintheFieldTelemetry.Backend.html#record_field_hit/2"},{"type":"callback","title":"AbsintheFieldTelemetry.Backend.record_field_hit/2","doc":"","ref":"AbsintheFieldTelemetry.Backend.html#c:record_field_hit/2"},{"type":"function","title":"AbsintheFieldTelemetry.Backend.record_field_hit/3","doc":"","ref":"AbsintheFieldTelemetry.Backend.html#record_field_hit/3"},{"type":"callback","title":"AbsintheFieldTelemetry.Backend.record_field_hit/3","doc":"","ref":"AbsintheFieldTelemetry.Backend.html#c:record_field_hit/3"},{"type":"function","title":"AbsintheFieldTelemetry.Backend.reset/1","doc":"","ref":"AbsintheFieldTelemetry.Backend.html#reset/1"},{"type":"callback","title":"AbsintheFieldTelemetry.Backend.reset/1","doc":"","ref":"AbsintheFieldTelemetry.Backend.html#c:reset/1"},{"type":"function","title":"AbsintheFieldTelemetry.Backend.setup/0","doc":"","ref":"AbsintheFieldTelemetry.Backend.html#setup/0"},{"type":"callback","title":"AbsintheFieldTelemetry.Backend.setup/0","doc":"","ref":"AbsintheFieldTelemetry.Backend.html#c:setup/0"},{"type":"type","title":"AbsintheFieldTelemetry.Backend.field_identifier/0","doc":"","ref":"AbsintheFieldTelemetry.Backend.html#t:field_identifier/0"},{"type":"type","title":"AbsintheFieldTelemetry.Backend.hits/0","doc":"","ref":"AbsintheFieldTelemetry.Backend.html#t:hits/0"},{"type":"type","title":"AbsintheFieldTelemetry.Backend.path/0","doc":"","ref":"AbsintheFieldTelemetry.Backend.html#t:path/0"},{"type":"type","title":"AbsintheFieldTelemetry.Backend.schema/0","doc":"","ref":"AbsintheFieldTelemetry.Backend.html#t:schema/0"},{"type":"type","title":"AbsintheFieldTelemetry.Backend.t/0","doc":"","ref":"AbsintheFieldTelemetry.Backend.html#t:t/0"},{"type":"type","title":"AbsintheFieldTelemetry.Backend.type_hits/0","doc":"","ref":"AbsintheFieldTelemetry.Backend.html#t:type_hits/0"},{"type":"type","title":"AbsintheFieldTelemetry.Backend.type_identifier/0","doc":"","ref":"AbsintheFieldTelemetry.Backend.html#t:type_identifier/0"},{"type":"module","title":"AbsintheFieldTelemetry.Backend.Ets","doc":"A AbsintheFieldTelemetry.Backend implementation using ets.","ref":"AbsintheFieldTelemetry.Backend.Ets.html"},{"type":"module","title":"AbsintheFieldTelemetry.Backend.Redis","doc":"Documentation for AbsintheFieldTelemetry.Backend.Redis\n\nThis backend uses the [Redix](https://hex.pm/packages/redix) library to connect to Redis.\n\nThe backend process is started by calling `start_link`:\n\n    AbsintheFieldTelemetry.Backend.Redis.start_link(\n      expiry_ms: 60_000 * 10,\n      redix_config: [host: \"example.com\", port: 5050]\n    )\n\nOptions are:\n\n- `expiry_ms`: Expiry time of buckets in milliseconds,\n  used to set TTL on Redis keys. This configuration is mandatory.\n- `redix_config`: Keyword list of options to the `Redix` redis client,\n  also aliased to `redis_config`\n- `key_prefix`: The prefix to use for all the redis keys (defaults to \"AbsintheFieldTelemetry:Redis:\")\n- `redis_url`: String url of redis server to connect to\n  (optional, invokes Redix.start_link/2)","ref":"AbsintheFieldTelemetry.Backend.Redis.html"},{"type":"function","title":"AbsintheFieldTelemetry.Backend.Redis.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"AbsintheFieldTelemetry.Backend.Redis.html#child_spec/1"},{"type":"function","title":"AbsintheFieldTelemetry.Backend.Redis.do_get_field_hits/2","doc":"","ref":"AbsintheFieldTelemetry.Backend.Redis.html#do_get_field_hits/2"},{"type":"function","title":"AbsintheFieldTelemetry.Backend.Redis.do_get_type_hits/2","doc":"","ref":"AbsintheFieldTelemetry.Backend.Redis.html#do_get_type_hits/2"},{"type":"function","title":"AbsintheFieldTelemetry.Backend.Redis.start/0","doc":"","ref":"AbsintheFieldTelemetry.Backend.Redis.html#start/0"},{"type":"function","title":"AbsintheFieldTelemetry.Backend.Redis.start/1","doc":"","ref":"AbsintheFieldTelemetry.Backend.Redis.html#start/1"},{"type":"function","title":"AbsintheFieldTelemetry.Backend.Redis.start_link/0","doc":"","ref":"AbsintheFieldTelemetry.Backend.Redis.html#start_link/0"},{"type":"function","title":"AbsintheFieldTelemetry.Backend.Redis.start_link/1","doc":"","ref":"AbsintheFieldTelemetry.Backend.Redis.html#start_link/1"},{"type":"function","title":"AbsintheFieldTelemetry.Backend.Redis.stop/0","doc":"","ref":"AbsintheFieldTelemetry.Backend.Redis.html#stop/0"},{"type":"type","title":"AbsintheFieldTelemetry.Backend.Redis.bucket_info/0","doc":"","ref":"AbsintheFieldTelemetry.Backend.Redis.html#t:bucket_info/0"},{"type":"type","title":"AbsintheFieldTelemetry.Backend.Redis.bucket_key/0","doc":"","ref":"AbsintheFieldTelemetry.Backend.Redis.html#t:bucket_key/0"},{"type":"type","title":"AbsintheFieldTelemetry.Backend.Redis.t/0","doc":"","ref":"AbsintheFieldTelemetry.Backend.Redis.html#t:t/0"},{"type":"module","title":"AbsintheFieldTelemetry.Middleware","doc":"Absinthe middleware for adding telemetry for usage of fields in a GraphQL schema.\n\n  Add `AbsintheFieldTelemetry.Middleware` to all the fields on the schema. The\n  easiest way to achieve this is using the [`middleware/3` callback](https://hexdocs.pm/absinthe/Absinthe.Middleware.html#module-the-middleware-3-callback):\n\n```elixir\ndef middleware(middleware, _field, _object), do: [AbsintheFieldTelemetry.Middleware | middleware]\n```","ref":"AbsintheFieldTelemetry.Middleware.html"},{"type":"function","title":"AbsintheFieldTelemetry.Middleware.duplicate?/1","doc":"","ref":"AbsintheFieldTelemetry.Middleware.html#duplicate?/1"},{"type":"function","title":"AbsintheFieldTelemetry.Middleware.record_hit/2","doc":"","ref":"AbsintheFieldTelemetry.Middleware.html#record_hit/2"},{"type":"module","title":"AbsintheFieldTelemetry.Web.Router","doc":"The absinthe_field_telemetry_dashboard macro can be used to add the\n  dashboard to your router, as follows:\n\n  ```elixir\n  import AbsintheFieldTelemetry.Web.Router\n  absinthe_field_telemetry_dashboard \"/absinthe_field_telemetry_dashboard\"\n  ```","ref":"AbsintheFieldTelemetry.Web.Router.html"},{"type":"macro","title":"AbsintheFieldTelemetry.Web.Router.absinthe_field_telemetry_dashboard/2","doc":"","ref":"AbsintheFieldTelemetry.Web.Router.html#absinthe_field_telemetry_dashboard/2"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,49]}}